# Get note settings

```
GET 
/note-settings
```

Get the current user's settings for note generation.

## Responses[​](#responses "Direct link to Responses")

* 200

Note settings.

## Operation spec

```json
{
  "method": "get",
  "path": "/note-settings",
  "operationId": "get-note-settings",
  "responses": {
    "200": {
      "description": "Note settings.",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "description": "Settings that apply for all notes generated by the current user, e.g. through the [`/generate-note` endpoint](/core-api/reference/server/generate-note).",
            "required": [
              "note_template_key",
              "note_locale"
            ],
            "properties": {
              "note_template_key": {
                "type": "string",
                "description": "Human-readable identifier for the user's current note template. Use [List note templates](/core-api/reference/user/list-note-settings-templates) to get available keys."
              },
              "note_locale": {
                "type": "string",
                "description": "Locale of the note.",
                "enum": [
                  "ENGLISH_US",
                  "ENGLISH_UK",
                  "FRENCH_FR"
                ],
                "example": "ENGLISH_US",
                "title": "note_locale"
              }
            },
            "title": "note_settings"
          }
        }
      }
    }
  }
}
```
